curl --request POST \
--url https://api.unifygtm.com/sequences/v1/enrollments \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"sequence_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mailbox_emails": [
"jsmith@example.com"
]
}
'import requests
url = "https://api.unifygtm.com/sequences/v1/enrollments"
payload = {
"sequence_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mailbox_emails": ["jsmith@example.com"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sequence_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
person_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
mailbox_emails: ['jsmith@example.com']
})
};
fetch('https://api.unifygtm.com/sequences/v1/enrollments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"sequence": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_paused": true
},
"person": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"linkedin_url": "<string>"
},
"mailbox": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"display_name": "<string>",
"is_paused": true,
"is_unauthorized": true
},
"reply_email_message": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"classifications": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"received_at": "2023-11-07T05:31:56Z"
},
"is_blocked": true,
"is_bounced": true,
"is_canceled": true,
"is_excluded": true,
"is_opted_out": true,
"is_paused": true,
"is_replied": true,
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z"
}{
"status": "bad_request",
"errors": [
{
"code": "<string>",
"path": [
"<string>"
],
"object_api_name": "<string>",
"attribute_api_name": "<string>"
}
],
"message": "<string>"
}{
"status": "unauthorized",
"message": "<string>"
}{
"status": "not_found",
"message": "<string>"
}{
"status": "conflict",
"message": "<string>",
"active_sequence_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active_enrollment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": "rate_limited",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Create enrollment
Enroll a person in a sequence.
Overview
Create an enrollment to add a person to a sequence. The request body specifies:| Property | Behavior |
|---|---|
sequence_id | The sequence to enroll the person in. |
person_id | The person to enroll. |
mailbox_emails | Candidate mailbox addresses to send from. One is selected at enrollment time. At least one and at most ten addresses are accepted. |
409 Conflict.Authorizations
Body
Request body for enrolling a person in a sequence.
String UUID value.
String UUID value.
Candidate mailbox addresses to send from. One is selected at enrollment time. At most 10 addresses are accepted.
1 - 10 elementsString value representing an email address.
Response
Response returned when an enrollment is created.
Response returned when an enrollment is created.
String UUID value.
String value representing an RFC 3339 datetime.
String value representing an RFC 3339 datetime.
Sequence details embedded in enrollment responses.
Show child attributes
Show child attributes
Person details embedded in enrollment responses.
Show child attributes
Show child attributes
Mailbox details embedded in enrollment responses.
Show child attributes
Show child attributes
Reply email message details embedded in enrollment responses.
Show child attributes
Show child attributes
Status of a sequence enrollment.
DRAFT, IN_PROGRESS, FINISHED String value representing an RFC 3339 datetime.
String value representing an RFC 3339 datetime.